diff -urNp dpkg-1.13.11/utils/start-stop-daemon.c.orig dpkg-1.13.11/utils/start-stop-daemon.c
--- dpkg-1.13.11/utils/start-stop-daemon.c.orig	2005-10-10 09:42:06.196042944 +0200
+++ dpkg-1.13.11/utils/start-stop-daemon.c	2005-10-10 09:45:38.539761792 +0200
@@ -1166,6 +1166,46 @@ x_finished:
 	}
 }
 
+static int
+execstat(void)
+{
+	if (execname && stat(execname, &exec_stat))
+	{
+		char* tmp;
+		char* path = strdup((const char *)getenv("PATH"));
+		if (path[0] == 0)
+			return 1;
+		else
+		{
+			if (strchr(path, ':') != NULL)
+			{
+				while ((tmp = strsep(&path, ":")))
+				{
+					char* buf = malloc((strlen(tmp)+strlen(execname)+2)*sizeof(char));
+					sprintf(buf, "%s/%s", tmp, execname);
+					if (execname && !stat(buf, &exec_stat))
+					{
+						startas = buf;
+						return 0;
+					}
+				}
+			}
+			else
+			{
+				char* buf = malloc((strlen(path)+strlen(execname)+2)*sizeof(char));
+				sprintf(buf, "%s/%s", path, execname);
+				if (execname && !stat(buf, &exec_stat))
+				{
+					startas = buf;
+					return 0;
+				}
+				return 1;
+			}
+		}
+	}
+
+	return 0;
+}
 
 int
 main(int argc, char **argv)
@@ -1180,7 +1220,7 @@ main(int argc, char **argv)
 	argc -= optind;
 	argv += optind;
 
-	if (execname && stat(execname, &exec_stat))
+	if (changeroot == NULL && execstat())
 		fatal("stat %s: %s", execname, strerror(errno));
 
 	if (userspec && sscanf(userspec, "%d", &user_id) != 1) {
@@ -1283,6 +1323,8 @@ main(int argc, char **argv)
 			fatal("Unable to chdir() to %s", changeroot);
 		if (chroot(changeroot) < 0)
 			fatal("Unable to chroot() to %s", changeroot);
+		if (execstat())
+			fatal("stat %s: %s", execname, strerror(errno));
 	}
 	if (chdir(changedir) < 0)
 		fatal("Unable to chdir() to %s", changedir);
